Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class MsgDataElementImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                              |
                              +--org.eclipse.hyades.logging.events.cbe.impl.MsgDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, MsgDataElement, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class MsgDataElementImpl
extends SerializableImpl
implements MsgDataElement, java.lang.Cloneable

An implementation of the model object 'Msg Data Element'.

Since:
  1.0
Version:
  1.0.1
Author:
  Andrea Chiavegatto, Denilson Nastacio
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `MSG_CATALOG_EDEFAULT` The default value of the '`Msg Catalog`' attribute
`protected static java.lang.String` | `MSG_CATALOG_ID_EDEFAULT` The default value of the '`Msg Catalog Id`' attribute
`protected static java.lang.String` | `MSG_CATALOG_TYPE_EDEFAULT` The default value of the '`Msg Catalog Type`' attribute
`protected static java.lang.String` | `MSG_ID_EDEFAULT` The default value of the '`Msg Id`' attribute
`protected static java.lang.String` | `MSG_ID_TYPE_EDEFAULT` The default value of the '`Msg Id Type`' attribute
`protected static java.lang.String` | `MSG_LOCALE_EDEFAULT` The default value of the '`Msg Locale`' attribute
`protected java.lang.String` | `msgCatalog` The cached value of the '`Msg Catalog`' attribute
`protected java.lang.String` | `msgCatalogId` The cached value of the '`Msg Catalog Id`' attribute
`protected org.eclipse.emf.common.util.EList` | `msgCatalogTokens` The cached value of the '`Msg Catalog Tokens`' containment reference list
`protected java.lang.String` | `msgCatalogType` The cached value of the '`Msg Catalog Type`' attribute
`protected java.lang.String` | `msgId` The cached value of the '`Msg Id`' attribute
`protected java.lang.String` | `msgIdType` The cached value of the '`Msg Id Type`' attribute
`protected java.lang.String` | `msgLocale` The cached value of the '`Msg Locale`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `MsgDataElementImpl()`

Method Summary
`MsgCatalogToken` | `addMsgCatalogToken(MsgCatalogToken value)` Adds a new `MsgCatalogToken` to this object.
`MsgCatalogToken` | `addMsgCatalogTokenAsString(java.lang.String value)` Adds a new `MsgCatalogToken` to this object.
`void` | `clearMsgCatalogTokens()` Removes all msgCatalogTokens that this event is referencing
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, java.lang.Class baseClass, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getMsgCatalog()`
`java.lang.String` | `getMsgCatalogId()`
`org.eclipse.emf.common.util.EList` | `getMsgCatalogTokens()`
`java.lang.String[]` | `getMsgCatalogTokensAsStrings()` Returns the value of the 'Msg Catalog Tokens' attribute list.
`java.lang.String` | `getMsgCatalogType()`
`java.lang.String` | `getMsgId()`
`java.lang.String` | `getMsgIdType()`
`java.lang.String` | `getMsgLocale()`
`void` | `init()` Resets the object's properties to their initial (e.g. null) state.
`void` | `setMsgCatalog(java.lang.String newMsgCatalog)`
`void` | `setMsgCatalogId(java.lang.String newMsgCatalogId)`
`void` | `setMsgCatalogTokens(MsgCatalogToken[] msgCatalogTokens)` Sets the value of the 'Msg Catalog Tokens' attribute list.
`void` | `setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokens)` Sets the value of the 'Msg Catalog Tokens' attribute list.
`void` | `setMsgCatalogType(java.lang.String newMsgCatalogType)`
`void` | `setMsgId(java.lang.String newMsgId)`
`void` | `setMsgIdType(java.lang.String newMsgIdType)`
`void` | `setMsgLocale(java.lang.String newMsgLocale)`
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### MSG_ID_TYPE_EDEFAULT

    protected static final java.lang.String MSG_ID_TYPE_EDEFAULT

  The default value of the '`Msg Id Type`' attribute.

  See Also:
    `getMsgIdType()`

### msgIdType

    protected java.lang.String msgIdType

  The cached value of the '`Msg Id Type`' attribute.

  See Also:
    `getMsgIdType()`

### MSG_CATALOG_TYPE_EDEFAULT

    protected static final java.lang.String MSG_CATALOG_TYPE_EDEFAULT

  The default value of the '`Msg Catalog Type`' attribute.

  See Also:
    `getMsgCatalogType()`

### msgCatalogType

    protected java.lang.String msgCatalogType

  The cached value of the '`Msg Catalog Type`' attribute.

  See Also:
    `getMsgCatalogType()`

### MSG_CATALOG_EDEFAULT

    protected static final java.lang.String MSG_CATALOG_EDEFAULT

  The default value of the '`Msg Catalog`' attribute.

  See Also:
    `getMsgCatalog()`

### msgCatalog

    protected java.lang.String msgCatalog

  The cached value of the '`Msg Catalog`' attribute.

  See Also:
    `getMsgCatalog()`

### MSG_CATALOG_ID_EDEFAULT

    protected static final java.lang.String MSG_CATALOG_ID_EDEFAULT

  The default value of the '`Msg Catalog Id`' attribute.

  See Also:
    `getMsgCatalogId()`

### msgCatalogId

    protected java.lang.String msgCatalogId

  The cached value of the '`Msg Catalog Id`' attribute.

  See Also:
    `getMsgCatalogId()`

### MSG_ID_EDEFAULT

    protected static final java.lang.String MSG_ID_EDEFAULT

  The default value of the '`Msg Id`' attribute.

  See Also:
    `getMsgId()`

### msgId

    protected java.lang.String msgId

  The cached value of the '`Msg Id`' attribute.

  See Also:
    `getMsgId()`

### MSG_LOCALE_EDEFAULT

    protected static final java.lang.String MSG_LOCALE_EDEFAULT

  The default value of the '`Msg Locale`' attribute.

  See Also:
    `getMsgLocale()`

### msgLocale

    protected java.lang.String msgLocale

  The cached value of the '`Msg Locale`' attribute.

  See Also:
    `getMsgLocale()`

### msgCatalogTokens

    protected org.eclipse.emf.common.util.EList msgCatalogTokens

  The cached value of the '`Msg Catalog Tokens`' containment reference list.

  See Also:
    `getMsgCatalogTokens()`

Constructor Detail

### MsgDataElementImpl

    protected MsgDataElementImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### getMsgIdType

    public java.lang.String getMsgIdType()

  Specified by:
    `getMsgIdType` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Id Type' attribute.
  See Also:
    `MsgDataElement.setMsgIdType(String)`, `EventPackage.getMsgDataElement_MsgIdType()`

### setMsgIdType

    public void setMsgIdType(java.lang.String newMsgIdType)

  Specified by:
    `setMsgIdType` in interface `MsgDataElement`
  Parameters:
    `newMsgIdType` - the new value of the 'Msg Id Type' attribute.
  See Also:
    `MsgDataElement.getMsgIdType()`

### getMsgCatalogType

    public java.lang.String getMsgCatalogType()

  Specified by:
    `getMsgCatalogType` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Catalog Type' attribute.
  See Also:
    `MsgDataElement.setMsgCatalogType(String)`, `EventPackage.getMsgDataElement_MsgCatalogType()`

### setMsgCatalogType

    public void setMsgCatalogType(java.lang.String newMsgCatalogType)

  Specified by:
    `setMsgCatalogType` in interface `MsgDataElement`
  Parameters:
    `newMsgCatalogType` - the new value of the 'Msg Catalog Type' attribute.
  See Also:
    `MsgDataElement.getMsgCatalogType()`

### getMsgCatalog

    public java.lang.String getMsgCatalog()

  Specified by:
    `getMsgCatalog` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Catalog' attribute.
  See Also:
    `MsgDataElement.setMsgCatalog(String)`, `EventPackage.getMsgDataElement_MsgCatalog()`

### setMsgCatalog

    public void setMsgCatalog(java.lang.String newMsgCatalog)

  Specified by:
    `setMsgCatalog` in interface `MsgDataElement`
  Parameters:
    `newMsgCatalog` - the new value of the 'Msg Catalog' attribute.
  See Also:
    `MsgDataElement.getMsgCatalog()`

### getMsgCatalogId

    public java.lang.String getMsgCatalogId()

  Specified by:
    `getMsgCatalogId` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Catalog Id' attribute.
  See Also:
    `MsgDataElement.setMsgCatalogId(String)`, `EventPackage.getMsgDataElement_MsgCatalogId()`

### setMsgCatalogId

    public void setMsgCatalogId(java.lang.String newMsgCatalogId)

  Specified by:
    `setMsgCatalogId` in interface `MsgDataElement`
  Parameters:
    `newMsgCatalogId` - the new value of the 'Msg Catalog Id' attribute.
  See Also:
    `MsgDataElement.getMsgCatalogId()`

### getMsgId

    public java.lang.String getMsgId()

  Specified by:
    `getMsgId` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Id' attribute.
  See Also:
    `MsgDataElement.setMsgId(String)`, `EventPackage.getMsgDataElement_MsgId()`

### setMsgId

    public void setMsgId(java.lang.String newMsgId)

  Specified by:
    `setMsgId` in interface `MsgDataElement`
  Parameters:
    `newMsgId` - the new value of the 'Msg Id' attribute.
  See Also:
    `MsgDataElement.getMsgId()`

### getMsgLocale

    public java.lang.String getMsgLocale()

  Specified by:
    `getMsgLocale` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Locale' attribute.
  See Also:
    `MsgDataElement.setMsgLocale(String)`, `EventPackage.getMsgDataElement_MsgLocale()`

### setMsgLocale

    public void setMsgLocale(java.lang.String newMsgLocale)

  Specified by:
    `setMsgLocale` in interface `MsgDataElement`
  Parameters:
    `newMsgLocale` - the new value of the 'Msg Locale' attribute.
  See Also:
    `MsgDataElement.getMsgLocale()`

### getMsgCatalogTokens

    public org.eclipse.emf.common.util.EList getMsgCatalogTokens()

  Specified by:
    `getMsgCatalogTokens` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Catalog Tokens' containment reference list.
  See Also:
    `EventPackage.getMsgDataElement_MsgCatalogTokens()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          java.lang.Class baseClass,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Specified by:
    `eInverseRemove` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Specified by:
    `validate` in interface `MsgDataElement`
  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### addMsgCatalogToken

    public MsgCatalogToken addMsgCatalogToken(MsgCatalogToken value)

  Description copied from interface: `MsgDataElement`
  Adds a new `MsgCatalogToken` to this object.

  It creates a `MsgCatalogToken` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addMsgCatalogToken` in interface `MsgDataElement`
  Parameters:
    `value` - the `MsgCatalogToken` value.
  Returns:
    a reference to the message catalog token added to this object.
  See Also:
    `MsgDataElement.addMsgCatalogToken(org.eclipse.hyades.logging.events.cbe.MsgCatalogToken)`

### addMsgCatalogTokenAsString

    public MsgCatalogToken addMsgCatalogTokenAsString(java.lang.String value)

  Description copied from interface: `MsgDataElement`
  Adds a new `MsgCatalogToken` to this object.

  It creates a `MsgCatalogToken` object with the values passed as parameters and adds it to the list of extended data elements for this object.

  Specified by:
    `addMsgCatalogTokenAsString` in interface `MsgDataElement`
  Parameters:
    `value` - the `String` value for the new message catalog token.
  Returns:
    a reference to the message catalog token added to this object.
  See Also:
    `MsgDataElement.addMsgCatalogTokenAsString(String)`

### clearMsgCatalogTokens

    public void clearMsgCatalogTokens()

  Removes all msgCatalogTokens that this event is referencing

  Specified by:
    `clearMsgCatalogTokens` in interface `MsgDataElement`

### getMsgCatalogTokensAsStrings

    public java.lang.String[] getMsgCatalogTokensAsStrings()

  Description copied from interface: `MsgDataElement`
  Returns the value of the 'Msg Catalog Tokens' attribute list.

  Each string corresponds to the `value` attribute of a `MsgCatalogToken` inside the message catalog token list.

  Specified by:
    `getMsgCatalogTokensAsStrings` in interface `MsgDataElement`
  Returns:
    the value of the 'Msg Catalog Tokens' attribute list.
  See Also:
    `MsgDataElement.getMsgCatalogTokensAsStrings()`

### setMsgCatalogTokensAsStrings

    public void setMsgCatalogTokensAsStrings(java.lang.String[] msgCatalogTokens)

  Description copied from interface: `MsgDataElement`
  Sets the value of the 'Msg Catalog Tokens' attribute list.

  Each string is translated to the `value` attribute of a `MsgCatalogToken` to be added to the message catalog token list.

  Any prior message catalog token is removed before the new list is set.

  Specified by:
    `setMsgCatalogTokensAsStrings` in interface `MsgDataElement`
  Parameters:
    `msgCatalogTokens` - array of values for the message catalog tokens
  See Also:
    `MsgDataElement.setMsgCatalogTokensAsStrings(String[])`

### setMsgCatalogTokens

    public void setMsgCatalogTokens(MsgCatalogToken[] msgCatalogTokens)

  Description copied from interface: `MsgDataElement`
  Sets the value of the 'Msg Catalog Tokens' attribute list.

  Each string is translated to the `value` attribute of a `MsgCatalogToken` to be added to the message catalog token list.

  Any prior message catalog token is removed before the new list is set.

  Specified by:
    `setMsgCatalogTokens` in interface `MsgDataElement`
  Parameters:
    `msgCatalogTokens` - array of values for the message catalog tokens
  See Also:
    `MsgDataElement.getMsgCatalogTokens()`, `MsgDataElement.getMsgCatalogTokensAsStrings()`

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `MsgDataElement`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD